<template>
  <div>
    <survey-input-options v-if="type == 'options'" :name="slide.name" />
    <survey-input-text v-if="type == 'text'" :name="slide.name" />
    <survey-input-buttons v-if="type == 'buttons'" :name="slide.name" />
  </div>
</template>

<script>
  import Store from '../stores/app.store';
  import SurveyInputOptions from './input-options';
  import SurveyInputText from './input-text';
  import SurveyInputButtons from './input-buttons';

  export default {
    components: { SurveyInputOptions, SurveyInputText, SurveyInputButtons },
    name: "survey-inputs",
    props: [ 'name' ],
    data: function() {
      function getType(controls) {
        if (!controls || !controls.length) { return null; }
        var first = controls[0];
        if (first.text) { return 'text'; }
        if (first.option) { return 'options'; }
        if (first.button) { return 'buttons'; }
        return null;
      }
      return {
        slide: Store.getters.slide(this.name),
        type: getType((Store.getters.slide(this.name) || {}).inputs)
      }
    }
  }
</script>

<style scoped>
</style>
